/*****************************************************************************
  FILE           : update_f.h
  SHORTNAME      : update_f
  SNNS VERSION   : 3.2

  PURPOSE        : SNNS-Kernel Network Update Functions
  NOTES          :

  AUTHOR         : Niels Mache
  DATE           : 18.03.91

  CHANGED BY     : Sven Doering, Michael Vogt (Martin Reczko)
  IDENTIFICATION : @(#)update_f.h	1.15 3/15/94
  SCCS VERSION   : 1.15
  LAST CHANGE    : 3/15/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _UPDATE_F_DEFINED_
#define  _UPDATE_F_DEFINED_


extern krui_err  UPDATE_syncPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_syncPropagateHop(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_FixAct_Hop(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_serialPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_randomOrderPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_randomPermutPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_topologicalPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_KohonenPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_CPNPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_TimeDelayPropagate(float parameterArray[], int NoOfParams );
extern krui_err  UPDATE_ART1_syncPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_ART1_Propagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_ART2_syncPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_ART2_Propagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_ARTMAP_syncPropagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_ARTMAP_Propagate(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_CC_Propagate(float parameterArray[],  int NoOfParams);
extern krui_err  UPDATE_RCC_Propagate(float parameterArray[], int NoOfParams);
extern krui_err  UPDATE_BPTT(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_DLVQ_Propagate(float parameterArray[], int NoOfParams);
extern krui_err  UPDATE_BAM(float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_JE_Propagate (float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_JE_Special   (float *parameterArray, int NoOfParams);
extern krui_err  UPDATE_RM_Propagate(float *parameterArray, int NoOfParams);


#endif 

/* 45 lines generated by deleteprivatedefinitions.awk */
